import { ApiList } from "./api";
import { MatDialog } from "@angular/material/dialog";
import { DashboardService } from "./dashboard.service";
import { HttpClient } from "@angular/common/http";
import { DialogService } from "../service/dialog.service";
export declare class DashboardPorletsService {
    private api;
    dialog: MatDialog;
    private dialogService;
    private DashboardService;
    private httpClient;
    private pbf;
    private http;
    translation: any;
    private userInfo;
    private lang;
    companyDropdownList: any[];
    currencyDropdownList: any[];
    currencyList: any[];
    portlets: any[];
    portletsCopy: any[];
    columnCount: any;
    rowCount: any;
    companyCharts: any[];
    portletData: any;
    fundDropdownList: any;
    allInvesteeList: any;
    fundInvesteeList: any;
    seletedAllInvestee: boolean;
    colorsTotal: string[];
    fetch_disabled: boolean;
    update_loading: boolean;
    currencyCode: any;
    update_config: any;
    loading_show: boolean;
    img: any;
    sortingPortlet: any[];
    pagingChanging: any[];
    timeMeasure: any;
    entityList: any;
    entityType: any;
    selected_enyity_fileds: any[];
    isEntitySelectAll: any;
    checkedAll: boolean;
    selectedNum: any;
    updated: boolean;
    dataMartTables: {};
    length: number;
    GetSourcesRes: any;
    ListEntitiesRes: any;
    templateList: any[];
    fieldsArr: {};
    sourcesData: {};
    portletResults_New: {};
    portletData_New: {};
    portletFields_Temp: {};
    dashboardConfig: any;
    entityIds: any;
    entityIdObj: any;
    allFieldsObj: {};
    constructor(api: ApiList, dialog: MatDialog, dialogService: DialogService, DashboardService: DashboardService, httpClient: HttpClient, pbf: any, http: any);
    private setEntityType;
    GetDashboardV1(dashboardId: string, roGet: any, callback: Function, isRefresh?: boolean, callbackForDashboard?: Function): void;
    filterTriggerGetData(portlet: any, filterSettings: any, dashboard: any, callback: any): void;
    removeParentheses(str: any): any;
    getInfo(): void;
    GetChartTypes(): {
        val: string;
        displayVal: any;
        hasSecondaryYAxis: boolean;
        canSelectStyle: boolean;
    }[];
    getCompanyDropdown(): void;
    getCurrencyDropdown(): void;
    GetTimeMeasure(): {
        key: string;
        val: any;
    }[];
    GetPeriods(): {
        val: number;
        displayVal: any;
    }[];
    GetFollowingPeriods(): {
        val: number;
        displayVal: any;
    }[];
    GetFinancialFigureCodes(): {
        key: string;
        val: any;
    }[];
    GetFinancialSubType(financials: any): any[];
    GetFinancialItems(id: any, key: any): void;
    GetTheme(): {
        key: string;
        val: any;
    }[];
    GetFollowingDataType(): {
        key: string;
        val: any;
    }[];
    GetFormat(): {
        key: string;
        val: any;
    }[];
    GetChartStyle(): {
        key: string;
        val: any;
    }[];
    GetDataTypes: () => {
        key: string;
        val: any;
    }[];
    getFundDropdown(): void;
    GetGrouping(): {
        key: string;
        val: any;
    }[];
    getFundDropdown_(callbake: Function): void;
    GetAllInvestee(callbake: Function): void;
    pivotTableformatNumber(num: any): "#,###;(#,###)" | "#,###.0;(#,###.0)" | "#,###.00;(#,###.00)" | "#,###,,;(#,###,,)" | "#,###,,.0;(#,###,,.0)" | "#,###,,.00;(#,###,,.00)" | "#,###.00;-#,###.00";
    pivotTableformatInteger(num: any): "#,###;(#,###)" | "#,###,,;(#,###,,)";
    pivotTableformatPercent(num: any): "P" | "P1" | "P2" | "#,###0.00'x';(#,###0.00'x')";
    pivotTableformatPercentNum(num: any): "####'%'" | "####.0'%'" | "####.00'%'";
    pivotTableformatMultiple(num: any): "####'x'" | "###0.0'x'" | "###0.00'x'";
    formatNumber(num: any): "N" | "N1" | "N2" | "N3" | "N4" | "N5" | "N6";
    formatPercent(num: any): "P" | "P1" | "P2" | "P3" | "P4" | "P5" | "P6";
    formatPercentNum(num: any): "####'%'" | "###0.0'%'" | "###0.00'%'";
    formatMultiple(num: any): "####'x'" | "###0.0'x'" | "###0.00'x'";
    GetFigureFormat(): {
        key: string;
        val: number;
    }[];
    GetFigureFormat3(): {
        key: string;
        val: number;
    }[];
    GetPercentFormats(): {
        key: string;
        val: number;
    }[];
    GetMultipleFormats(): {
        key: string;
        val: number;
    }[];
    getAggregateType(aggregateType: any): "CI" | "CI_IRR" | "CI_BEFORE_CARRY" | "CI_REPORTED" | "CI_ACTUAL_AUDITED" | "CI_MTD" | "CI_QTD" | "CI_YTD" | "CTWR_MTD" | "CTWR_QTD" | "CTWR_YTD" | "CVAR_MTD_99" | "CVAR_QTD_99" | "CVAR_YTD_99" | "CVAR_MTD_95" | "CVAR_QTD_95" | "CVAR_YTD_95" | "CM" | "CP" | "CD" | "CT" | "CR" | "CM_ACTUAL_AUDITED" | "CM_REPORTED";
    getCalculateMethod(colName: any): "CalculateIRR" | "CalculateIRRIRRDate" | "CalculateIRRBeforeCarried" | "CalculateIRRReported" | "CalculateIRRActualAudited" | "CalculateIRRMTD" | "CalculateIRRQTD" | "CalculateIRRYTD" | "CalculateTWRMTD" | "CalculateTWRQTD" | "CalculateTWRYTD" | "CalculateVARMTD_99" | "CalculateVARQTD_99" | "CalculateVARYTD_99" | "CalculateVARMTD_95" | "CalculateVARQTD_95" | "CalculateVARYTD_95" | "CalculateMultiple" | "CalculatePIC" | "CalculateDPI" | "CalculateTVPI" | "CalculateRVPI" | "CalculateMActualAudited" | "CalculateMReported";
    number_format(number: any, decimals: any, dec_point: any, thousands_sep: any, roundtag: any): string;
    private toFixedFix;
    getResultByDataTable(portlet: any, isGetTotal: boolean, copyId: boolean, id: string): any[];
    getOrderByColumnsNew(datamartCode: any, dashboard: any): Promise<any[]>;
    decompressArrayBuffer(input: ArrayBuffer): Promise<Uint8Array>;
    private getAllFields;
    setSchemaParams(dataObj: any, figureCode: any, dashboard: any): void;
    checkHasFromDate(dataMart: any): boolean;
    checkIsQ2Q(dataMart: any): boolean;
    /**
     * 使用自定义保存的列数据，覆盖通用列配置数据
     * @param allFields 自定义数据
     * @param fields 通用列配置数据
     * @returns
     */
    setConfigFields(allFields: any, fields: any): any[];
    getDataByPortletsNew(portlets: any, callback: any, pageSetting?: any, isRefresh?: boolean, dashboard?: any, roGet?: boolean): Promise<void>;
    clearFieldsObj(portlet: any): void;
    getParamsByPortlet(portlet: any, pageSetting?: any, allFields?: any[], dashboard?: any): any;
    needGetPortletData(origin?: any[], compare?: any[]): boolean;
    setDataManager(figureCodes: any, callback: any, portletTypes: any[], dashboardId: any, portlet?: any): void;
    ExcelFormulas: {
        DaysBetween: (date1: any, date2: any) => number;
        XNPV: (rate: any, values: any) => number;
        XIRR: (values: any, guess: any) => number;
        _DaysBetween: (date1: any, date2: any) => number;
        _lcl_sca_XirrResult: (values: any, dates: any, fRate: any) => any;
        _lcl_sca_XirrResult_Deriv1: (values: any, dates: any, fRate: any) => number;
        _CalculateXirrOpenOffice: (values: any, dates: any, guess: any) => any;
        _CalculateXirr: (valueList: any, dateList: any, navAdjust: any, latestDate: any) => any;
    };
    checkFilterSettings(config: any, fields: any, data: any): any;
    sortDataMartTables(data: any): void;
    renameDataMartTables(data: any, id: any, entityType: any): any;
}
export declare const ALL_AGGREGATE_TYPES: string[];
export declare const AGGREGATE_TYPES_TEXT: {
    CalculateIRR: any;
    CalculateIRRIRRDate: any;
    CalculateIRRBeforeCarried: any;
    CalculateIRRActualAudited: any;
    CalculateIRRReported: any;
    CalculateIRRMTD: any;
    CalculateIRRQTD: any;
    CalculateIRRYTD: any;
    CalculateTWRMTD: any;
    CalculateTWRQTD: any;
    CalculateTWRYTD: any;
    CalculateVARMTD_99: any;
    CalculateVARQTD_99: any;
    CalculateVARYTD_99: any;
    CalculateVARMTD_95: any;
    CalculateVARQTD_95: any;
    CalculateVARYTD_95: any;
    CalculateMultiple: any;
    CalculatePIC: any;
    CalculateDPI: any;
    CalculateTVPI: any;
    CalculateRVPI: any;
    CalculateMActualAudited: any;
    CalculateMReported: any;
    First: any;
    Last: any;
    Median: any;
};
